[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [tycho-dev] A Mojo to validate version consistency

On 12 Feb 2015, at 21:07, David M Williams wrote:

I should point out, but surely you (readers) are aware, that the "API Tools" in PDE will notify you -- even before a commit -- if a bundle's version needs updating, assuming it's been "turned on" given a proper reference. (It does not "work" on features, though, just bundles, which is partially why I was asking about that).Â

The PDE API tools are *not* doing this kind of verification and is a pain to get running nor are they easily runnable as part of a tycho build (we got some PR's/bugzillas about getting that fixed too but got stalled).


Also, PDE API tools would not complain if you released different binary under same osgi version.

Thus PDE API tools won't tell you that you need to bump the micro version when you changed the body of a method afaik.

This will.

ps. API tools are useful, but just too overkill for this common issue...last example is WTP's builds "going back in time". This would have been found earlier if this plugin had been enabled for their release builds.

/max
http://about.me/maxandersen